Bug 1569913 - Can't install RedHat Satellite 6.3 on RedHat Enterprise Linux 7.5
Summary: Can't install RedHat Satellite 6.3 on RedHat Enterprise Linux 7.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 09:05 UTC by Robert Necela
Modified: 2019-09-26 14:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 11:13:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
output from installer (12.45 KB, image/png)
2018-04-20 09:07 UTC, Robert Necela
no flags Details

Description Robert Necela 2018-04-20 09:05:26 UTC
Description of problem:
After clean install of rhel 7.5 we can't install satellite 6.3 because of problem with dependencies

rubygem-rkerberos requires libkadm5clnt_mit.so.8


Version-Release number of selected component (if applicable):
satellite 6.3
rhel 7.5

How reproducible:
install rhel 7.5, try to install satellite 6.3

Steps to Reproduce:
1.install rhel7.5
2.mount both dvd (rhel7.5,satellite6.3) adjust repositories
3.run installer

Actual results:
Error because of dependencies:
rubygem-rkerberos requires libkadm5clnt_mit.so.8

Expected results:
working installation

Comment 1 Robert Necela 2018-04-20 09:07:21 UTC
Created attachment 1424451 [details]
output from installer

output from installer, it's from virtual machine so hard to copy/paste.

Comment 2 Brad Buckingham 2018-04-20 14:35:52 UTC
Hi Robert,

The changes for this dependency should be available with Satellite 6.3.1.

The solution was delivered with:
- bug 1330431
- erratum : https://access.redhat.com/errata/RHBA-2018:1126

Would it be possible to ensure that you have that update on your Satellite?

Thanks!

Comment 3 Brad Buckingham 2018-04-20 14:36:11 UTC
Adding needinfo based on comment 2.

Comment 4 Robert Necela 2018-04-23 05:09:46 UTC
Hello,

problem is that on website there is no 6.3.1 but only 6.3.

So it is impossible to install into unconnected machine(air gap) into internet.

 Red Hat Satellite 6.3.0 Binary DVD

Last modified:
    2018-02-20
SHA-256 Checksum:
    2a708e6fb220d5a01c1ef5d397d63f6a15477e8c259d9d30cee7fbc20aba973f

2.41 GB

Comment 7 Brad Buckingham 2018-04-27 15:40:28 UTC
Hi Robert,

Thank you for the additional details and apologies for the delay.  

The issue should now be resolved in the ISO available for download.  Would you mind giving it a try?

thanks!

Comment 8 Robert Necela 2018-05-07 11:12:43 UTC
Hello,

it work with new iso.

Thanks


Note You need to log in before you can comment on or make changes to this bug.